<script>
import { onMount } from "svelte";
import {userId} from "../stores";
import {currentUser} from "../userStore";

const apiURL = 'http://localhost:8081/api/v1/customers/';


// async function loadData() {
//     const response = await fetch(apiURL + $userId, {
//     method: 'GET',
//     credentials: 'include'
// });
//     console.log(response);
//     let data = await response.json();
//     return data;
// }
// onMount(() => {
//     console.log('Mounting...')
// });

</script>

<h1>Customer Details</h1>
<p>First name: {$currentUser.firstName}</p>
<p>Last name {$currentUser.lastName}</p>
<p>Adress: {$currentUser.address}</p>

<!--{#await loadData() then data}-->
<!--    <div>-->
<!--        <p>First name: {data.firstName}</p>-->
<!--        <p>Last name {data.lastName}</p>-->
<!--        <p>Adress: {data.address}</p>-->
<!--    </div>-->
<!--{/await}-->
